# Coveo Tab Component (CoveoTab)

## Index

### Methods

- debugInfo
- disable
- enable
- getBindings
- isElementIncludedInTab
- select
- get

### Properties

- bind
- componentOptionsModel
- componentStateModel
- disabled
- logger
- queryController
- queryStateModel
- root
- searchInterface
- ID

### Accessors

- usageAnalytics

### Component Options

- caption
- constant
- dropdownHeaderLabel
- enableDuplicateFiltering
- enableResponsiveMode
- endpoint
- expression
- icon
- id
- layout
- maximumAge
- pipeline
- sort

### Constructors

- constructor

## Methods

### debugInfo

- debugInfo(): any

- Inherited from BaseComponent.debugInfo

  - Defined in ui/Base/BaseComponent.ts :41

  #### Returns any

### disable

- disable(): void

- Inherited from BaseComponent.disable

  - Defined in ui/Base/BaseComponent.ts :52

  #### Returns void

### enable

- enable(): void

- Inherited from BaseComponent.enable

  - Defined in ui/Base/BaseComponent.ts :61

  #### Returns void

### getBindings

- getBindings(): IComponentBindings

- Inherited from Component.getBindings

  - Defined in ui/Base/Component.ts :328

  #### Returns IComponentBindings

### isElementIncludedInTab

- isElementIncludedInTab(element: HTMLElement): boolean

- - Defined in ui/Tab/Tab.ts :283

  #### Parameters

  - ##### element: HTMLElement

  #### Returns boolean

  `true` if the HTMLElement is included in the Tab; `false` if it is excluded.

### select

- select(): void

- - Defined in ui/Tab/Tab.ts :257

  #### Returns void

### Static get

- get(element: HTMLElement, componentClass?: any, noThrow?: boolean): BaseComponent

- Inherited from Component.get

  - Defined in ui/Base/Component.ts :410

  #### Parameters

  - ##### element: HTMLElement

  - ##### Optional componentClass: any

  - ##### Optional noThrow: boolean

  #### Returns BaseComponent

## Properties

### bind

bind: ComponentEvents

Inherited from Component.bind

- Defined in ui/Base/Component.ts :270

### componentOptionsModel

componentOptionsModel: ComponentOptionsModel

Inherited from Component.componentOptionsModel

- Defined in ui/Base/Component.ts :294

### componentStateModel

componentStateModel: ComponentStateModel

Inherited from Component.componentStateModel

- Defined in ui/Base/Component.ts :282

### disabled

disabled: boolean

Inherited from BaseComponent.disabled

- Defined in ui/Base/BaseComponent.ts :23

### logger

logger: Logger

Inherited from BaseComponent.logger

- Defined in ui/Base/BaseComponent.ts :18

### queryController

queryController: QueryController

Inherited from Component.queryController

- Defined in ui/Base/Component.ts :286

### queryStateModel

queryStateModel: QueryStateModel

Inherited from Component.queryStateModel

- Defined in ui/Base/Component.ts :278

### root

root: HTMLElement

Inherited from Component.root

- Defined in ui/Base/Component.ts :274

### searchInterface

searchInterface: SearchInterface

Inherited from Component.searchInterface

- Defined in ui/Base/Component.ts :290

### Static ID

ID: string

Inherited from BaseComponent.ID

- Defined in ui/Base/BaseComponent.ts :28

## Accessors

### usageAnalytics

usageAnalytics:

Inherited from Component.usageAnalytics

- Defined in ui/Base/Component.ts :343

## Component Options

### caption

caption: string

- Defined in ui/Tab/Tab.ts :90

Markup configuration example(s) :

    data-caption='foo'

### constant

constant: boolean

- Defined in ui/Tab/Tab.ts :152

Markup configuration example(s) :

    data-constant='true'
    data-constant='false'

### dropdownHeaderLabel

dropdownHeaderLabel: string

- Defined in ui/Tab/Tab.ts :219

Markup configuration example(s) :

    data-dropdown-header-label='foo'

### enableDuplicateFiltering

enableDuplicateFiltering: boolean

- Defined in ui/Tab/Tab.ts :163

Markup configuration example(s) :

    data-enable-duplicate-filtering='true'
    data-enable-duplicate-filtering='false'

### enableResponsiveMode

enableResponsiveMode: boolean

- Defined in ui/Tab/Tab.ts :209

Markup configuration example(s) :

    data-enable-responsive-mode='true'
    data-enable-responsive-mode='false'

### endpoint

endpoint: SearchEndpoint

- Defined in ui/Tab/Tab.ts :115

### expression

expression: string

- Defined in ui/Tab/Tab.ts :108

Markup configuration example(s) :

    data-expression='foo'

### icon

icon: string

- Defined in ui/Tab/Tab.ts :97

Markup configuration example(s) :

    data-icon='foo'

### id

id: string

- Defined in ui/Tab/Tab.ts :83

Markup configuration example(s) :

    data-id='foo'

### layout

layout: "list" | "card" | "table"

- Defined in ui/Tab/Tab.ts :142

### maximumAge

maximumAge: number

- Defined in ui/Tab/Tab.ts :195

Markup configuration example(s) :

    data-maximum-age='10'

### pipeline

pipeline: string

- Defined in ui/Tab/Tab.ts :174

Markup configuration example(s) :

    data-pipeline='foo'

### sort

sort: string

- Defined in ui/Tab/Tab.ts :128

Markup configuration example(s) :

    data-sort='foo'

## Constructors

### constructor

- new Tab(element: HTMLElement, options?: ITabOptions, bindings?: IComponentBindings): Tab

- Overwrites Component.constructor

  - Defined in ui/Tab/Tab.ts :220

  #### Parameters

  - ##### element: HTMLElement

  - ##### Optional options: ITabOptions

  - ##### Optional bindings: IComponentBindings

  #### Returns Tab